@echo off

if not exist dcmtk goto error_label

echo.
echo Copy the application DLL to the DICOMscope directory
echo (this file is mandatory)
copy "interface\Release\jInterface.dll" DICOMscope

echo.
echo Copy EXE files of the DICOM toolkit to the DICOMscope directory
echo (these files are mandatory)
copy "dcmtk\dcmdata\apps\Release\dcmdump.exe" DICOMscope
copy "dcmtk\dcmpstat\apps\Release\dcmprscp.exe" DICOMscope
copy "dcmtk\dcmpstat\apps\Release\dcmprscu.exe" DICOMscope
copy "dcmtk\dcmpstat\apps\Release\dcmpschk.exe" DICOMscope
copy "dcmtk\dcmpstat\apps\Release\dcmpsrcv.exe" DICOMscope
copy "dcmtk\dcmpstat\apps\Release\dcmpssnd.exe" DICOMscope
copy "dcmtk\imagectn\apps\Release\imagectn.exe" DICOMscope

echo.
echo Copy EXE files of the DICOM toolkit to the TOOLS directory
echo (these files are optional)
copy "dcmtk\dcmdata\apps\Release\dcmconv.exe" "DICOMscope\Tools"
copy "dcmtk\dcmdata\apps\Release\dcmftest.exe" "DICOMscope\Tools"
copy "dcmtk\dcmdata\apps\Release\dcmgpdir.exe" "DICOMscope\Tools"
copy "dcmtk\dcmdata\apps\Release\dump2dcm.exe" "DICOMscope\Tools"
copy "dcmtk\dcmimgle\apps\Release\dcmdspfn.exe" "DICOMscope\Tools"
copy "dcmtk\dcmimgle\apps\Release\dconvlum.exe" "DICOMscope\Tools"
copy "dcmtk\dcmnet\apps\Release\echoscu.exe" "DICOMscope\Tools"
copy "dcmtk\dcmnet\apps\Release\findscu.exe" "DICOMscope\Tools"
copy "dcmtk\dcmnet\apps\Release\movescu.exe" "DICOMscope\Tools"
copy "dcmtk\dcmnet\apps\Release\storescp.exe" "DICOMscope\Tools"
copy "dcmtk\dcmnet\apps\Release\storescu.exe" "DICOMscope\Tools"
copy "dcmtk\dcmpstat\apps\Release\dcmmkcrv.exe" "DICOMscope\Tools"
copy "dcmtk\dcmpstat\apps\Release\dcmmklut.exe" "DICOMscope\Tools"
copy "dcmtk\dcmpstat\apps\Release\dcmp2pgm.exe" "DICOMscope\Tools"      
copy "dcmtk\dcmpstat\apps\Release\dcmpsmk.exe" "DICOMscope\Tools"
copy "dcmtk\dcmpstat\apps\Release\dcmpsprt.exe" "DICOMscope\Tools"
copy "dcmtk\imagectn\apps\Release\ti.exe" "DICOMscope\Tools"
copy "dcmtk\imagectn\tests\Release\dbregimg.exe" "DICOMscope\Tools"
copy "dcmtk\wlistctn\apps\Release\wlistctn.exe" "DICOMscope\Tools"
echo.
echo done.

goto end_label

:error_label

echo ERROR: subdirectory DCMTK does not exist !

:end_label
pause
