/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Kleber $
 *  Last update : $Date: 2000/06/30 10:37:23 $
 *  Revision :    $Revision: 1.2 $
 *  State:        $State: Exp $
*/
package main;
import java.util.*;

public  class PrintEvent extends DSEvent
{
    public static final int ID_HC = 0;
    public static final int ID_ST =1;
    public int type=0;
    public PrintEvent(Object o, int type)
    {
        super(o);
        this.type = type;
    }
}
/*
 *  CVS Log
 *  $Log: PrintEvent.java,v $
 *  Revision 1.2  2000/06/30 10:37:23  Kleber
 *  chg: Updaten Study-Manager
 *  chg: Support Stored Print
 *
 *  Revision 1.1.1.1  2000/06/02 07:02:14  Kleber
 *  new CVS init
 *
 *  Revision 1.1.1.1  2000/03/13 14:39:52  kleber
 *  init log for first free release
 *
 *
*/
