/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Kleber $
 *  Last update : $Date: 2000/07/12 07:57:57 $
 *  Revision :    $Revision: 1.5 $
 *  State:        $State: Exp $
*/

package J2Ci;

/** 
 * The class <em>jDVPSInstanceType</em> represents the C++ enumeration
 * DVPSInstanceType.
 *
 * @author 	Joerg Riesmeier
*/
public class jDVPSInstanceType
{
/* describes the different types of instances stored in the database
 */
    /// image object
    public static final int DVPSI_image = 0;
    /// presentation state object
    public static final int DVPSI_presentationState = 1;
    /// stored print object
    public static final int DVPSI_storedPrint = 2;
    /// hardcopy grayscale object
    public static final int DVPSI_hardcopyGrayscale = 3;
}


/*
 *  CVS Log
 *  $Log: jDVPSInstanceType.java,v $
 *  Revision 1.5  2000/07/12 07:57:57  Kleber
 *  update PrintPanel
 *  update Browser
 *
 *  Revision 1.4  2000/06/29 06:38:51  Kleber
 *  first Prototype for IHE
 *
 *
*/

